/******************************************************************************

File : modem.h, modem.c

Author : Gaurang Sinha

Last Updated : 10/07/2004

Description : 
Provides a standard modem driver (AT Command set) for the ATmega16 where the
USART has been interfaced with a RS232 chip which is then connected to a 
standard external modem. 

******************************************************************************/

/******************************************************************************
					USER CONFIGURATION AREA BEGINS
******************************************************************************/
#define USART_Baud_Higher_Byte	0x00
#define USART_Baud_Lower_Byte	0x33
/******************************************************************************
					USER CONFIGURATION AREA ENDS
******************************************************************************/

typedef unsigned char  u08;		//Type Define Unsigned Charcter to u08

extern void Dial_Number(u08 Prefix, u08 Pause, u08 *Number, u08 Size);

extern void Init_Modem(void);

extern u08 Modem_Check(void);

extern void Escape_Sequence(void);

extern u08 *Modem_Info(u08 I);

extern void Modem_Send_Str(u08 *Str, u08 Length);